%define debug_package %{nil}
%if 0%{?el7}
%define dist .el7
%endif

Name:		mod_authn_otp
Version:	1.1.7
Release:	4%{?dist}
Summary:	OTP auth for apache.

Group:		System Environment/Daemons
License:	ASL 2.0
URL:		https://github.com/archiecobbs/mod-authn-otp
#Source0:	http://mod-authn-otp.googlecode.com/files/%{name}-%{version}.tar.gz
Source0:    https://s3.amazonaws.com/archie-public/mod-authn-otp/%{name}-%{version}.tar.gz
Source1:	10-mod_authn_otp.conf
Source2:	mod_authn_otp.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel, openssl-devel
Requires:	httpd

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
mod_authn_otp is an Apache web server module for two-factor authentication using one-time passwords (OTP) generated via the HOTP/OATH algorithm defined in RFC 4226. This creates a simple way to protect a web site with one-time passwords, using any RFC 4226-compliant token device, including software tokens that run on cell phones such as OATH Token. mod_authn_otp also supports the Mobile-OTP algorithm.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -d -m0755 $RPM_BUILD_ROOT%{_libdir}/httpd/modules
make install DESTDIR=$RPM_BUILD_ROOT

%if 0%{?fedora} >= 18
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.modules.d/10-mod_authn_otp.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_authn_otp.conf
%else
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
cat %{SOURCE1} %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_authn_otp.conf
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES INSTALL README users.sample
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/otptool
%{_mandir}/man1/otptool.1.gz
%{_libdir}/httpd/modules/mod_authn_otp.so
%{_sysconfdir}/httpd/conf.d/mod_authn_otp.conf
%if 0%{?fedora} >= 18
%{_sysconfdir}/httpd/conf.modules.d/10-mod_authn_otp.conf
%endif

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.1.7-4
- Update dist for centos7

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 1.1.7-3
- Rebuilt for fc22

* Wed Oct 22 2014 momo-i <webmaster@momo-i.org> - 1.1.7-2
- Update to 1.1.7

* Mon Nov 18 2013 momo-i <webmaster@momo-i.org> - 1.1.6-1
- Update to 1.1.6

* Tue Jan  8 2013 momo-i <webmaster@momo-i.org> - 1.1.5-1
- update 1.1.5

* Tue Aug 23 2011 momo-i <webmaster@momo-i.org> - 1.1.4-2
- Added users.sample file.

* Mon Jun 6 2011 momo-i <webmaster@momo-i.org> - 1.1.3-1
- Initial rpm release.
